commit fa8cffccf32344baac5ee0298ac16570847a8046
Author: Xavier Bachelot <xavier(a)bachelot.org>
Date: Wed May 15 10:24:24 2019 +0200
Add script to make a snapshot
make_xinelib_snapshot.sh | 20 ++++++++++++++++++++
xine-lib.spec | 8 +++-----
2 files changed, 23 insertions(+), 5 deletions(-)
---
diff --git a/make_xinelib_snapshot.sh b/make_xinelib_snapshot.sh
new file mode 100644
index 0000000..c802a01
--- /dev/null
+++ b/make_xinelib_snapshot.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+# This script is intended to make a xine-lib snapshot.
+# If no argument is provided, it will make a snapshot of HEAD.
+# If the svn revision is provided as an argument, it will make a snapshot of
+# this revision.
+
+TMPDIR=$(mktemp -d)
+pushd "$TMPDIR" || exit
+echo -n "Cloning xine-lib-1.2 "
+[ -n "$1" ] && echo "revision $1" || echo "HEAD"
+[ -n "$1" ] && OPT="-u $1 " || OPT=""
+hg clone $OPT
http://hg.code.sf.net/p/xine/xine-lib-1.2 xine-lib-1.2
+cd xine-lib-1.2 || exit
+autoreconf -vif
+./configure
+make dist
+popd || exit
+cp -p "$TMPDIR"/xine-lib-1.2/xine-lib-1.2*.tar.xz .
+rm -rf "$TMPDIR"
diff --git a/xine-lib.spec b/xine-lib.spec
index 90751ca..bc6463c 100644
--- a/xine-lib.spec
+++ b/xine-lib.spec
@@ -22,13 +22,10 @@ URL:
http://www.xine-project.org/
%if ! 0%{?snapshot}
Source0:
http://downloads.sourceforge.net/xine/xine-lib-%{version}.tar.xz
%else
-#hg clone
http://hg.code.sf.net/p/xine/xine-lib-1.2 xine-lib-1.2
-#cd xine-lib-1.2
-#autoreconf -vif
-#./configure
-#make dist
Source0: xine-lib-%{version}-%{date}hg%{revision}.tar.xz
%endif
+# Script to make a snapshot
+Source1: make_xinelib_snapshot.sh
Provides: xine-lib(plugin-abi) = %{plugin_abi}
%{?_isa:Provides: xine-lib(plugin-abi)%{?_isa} = %{plugin_abi}}
@@ -335,6 +332,7 @@ mkdir -p $RPM_BUILD_ROOT%{codecdir}
%changelog
* Fri May 17 2019 Xavier Bachelot <xavier(a)bachelot.org> 1.2.9-14.20190516hg14396
- Update to xine-lib snapshot.
+- Add script to make a snapshot.
* Tue Mar 05 2019 RPM Fusion Release Engineering <leigh123linux(a)gmail.com> -
1.2.9-13.20181129hg14263
- Rebuilt for
https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild